package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;

/**
 *
 * @author fpalma
 */
public class V9_8_To_V9_9
		implements siprp.update.Update
{
	
	public V9_8_To_V9_9()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{
		                    "Criacao de tabelas para associacao de emails e riscos a empresas"
		                    };
	}
	
	public double getStartVersion()
	{
		return 9.8;
	}
	
	public double getEndVersion()
	{
		return 9.9;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"alter table hs_posto_medida add column is_plano_actuacao char(1); " +
					"create table hs_email( " +
					"	id serial PRIMARY KEY, " +
					"	email varchar(128) " +
					"); " +
					"create table hs_email_estabelecimento( " +
					"	email_id int4 REFERENCES hs_email(id), " +
					"	estabelecimento_id int4 REFERENCES estabelecimentos(id), " +
					"	constraint hs_email_estabelecimento_pkey PRIMARY KEY(email_id,estabelecimento_id) " +
					"); " +
					"create table hs_email_empresa( " +
					"	email_id int4 REFERENCES hs_email(id), " +
					"	empresa_id int4 REFERENCES empresas(id), " +
					"	constraint hs_email_empresa_pkey PRIMARY KEY(email_id,empresa_id) " +
					"); " +
					"create table hs_risco_empresa( " +
					"	risco_id int4 REFERENCES hs_risco(id), " +
					"	empresa_id int4 REFERENCES empresas(id), " +
					"	constraint hs_risco_empresa_pkey PRIMARY KEY(risco_id,empresa_id) " +
					");"
		);
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
